## Apache Zeta Components Manual :: Docs For Class ezcReflectionPrimitiveType

### Reflection::ezcReflectionPrimitiveType

### Class ezcReflectionPrimitiveType

Representation for all primitive types like string, integer, float and boolean

Source for this file: /Reflection/src/types/primitive_type.php

    ezcReflectionAbstractType
       |
       --ezcReflectionPrimitiveType

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcReflectionArrayType | Provides type information of the array item type or map types
ezcReflectionObjectType | Representation for all class types

### Inherited Member Variables

From ezcReflectionAbstractType
protected | `ezcReflectionAbstractType::$typeName`

### Method Summary

public boolean | `isPrimitive( )`
public boolean | `isScalarType( )` Returns whether this type is one of integer, float, string, or boolean.

### Inherited Methods

From ezcReflectionAbstractType
public ezcReflectionAbstractType | `ezcReflectionAbstractType::__construct()`
public string | `ezcReflectionAbstractType::getTypeName()`
public string | `ezcReflectionAbstractType::getXmlName()` Returns name of the correspondent XML Schema datatype
public DOMElement | `ezcReflectionAbstractType::getXmlSchema()`
public boolean | `ezcReflectionAbstractType::isArray()`
public boolean | `ezcReflectionAbstractType::isMap()`
public boolean | `ezcReflectionAbstractType::isObject()`
public boolean | `ezcReflectionAbstractType::isPrimitive()`
public boolean | `ezcReflectionAbstractType::isScalarType()` Returns whether this type is one of integer, float, string, or boolean.
public String | `ezcReflectionAbstractType::__toString()` Returns a string representation.

### Methods

#### isPrimitive

boolean isPrimitive( )

##### Redefinition of:

Method | Description
--- | ---
`ezcReflectionAbstractType::isPrimitive()` |

#### isScalarType

boolean isScalarType( )

Returns whether this type is one of integer, float, string, or boolean.

Types array, object, resource, NULL, mixed, number, and callback are not scalar.

##### Redefinition of:

Method | Description
--- | ---
`ezcReflectionAbstractType::isScalarType()` | Returns whether this type is one of integer, float, string, or boolean.

Documentation generated by phpDocumentor 1.4.3